﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ElapsedTimeClock
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            CompositionTarget.Rendering += OnCompositionTargetRendering;
        }

        void OnCompositionTargetRendering(object sender, EventArgs args)
        {
            TimeSpan elapsedTime = (args as RenderingEventArgs).RenderingTime;
            xformSecond.Angle = 6 * elapsedTime.TotalSeconds;
            xformMinute.Angle = 6 * elapsedTime.TotalMinutes;
            xformHour.Angle = 30 * elapsedTime.TotalHours;
        }
    }
}
